disable RDF support for Lexemes for first release (days: 2)
Closed, ResolvedPublic

Description

As the mapping to RDF for Lexemes is not defined yet we should disable the RDF export for Lexemes for the first roll-out in order to not let people get used to a wrong/random mapping.

Notes:
Return http code that says the resource isn't there.

Restricted Application added a project: Wikidata. · View Herald TranscriptDec 12 2017, 9:22 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

TODO: figure out the correct http code to retun.

thiemowmde triaged this task as Low priority.Dec 12 2017, 1:31 PM
thiemowmde added a subscriber: thiemowmde.

That should probably be a 501 "Not Implemented", see https://en.wikipedia.org/wiki/List_of_HTTP_status_codes#5xx_Server_errors.

List of HTTP status codes

I would suggest 501 Not Implemented. Alternatively, we could respond with 204 No Content or nginx’ nonstandard 444 No Response.

If we change our mind, and keep the partial RDF which we currently produce (assuming that we will want to add to it, but not change it), 206 Partial Content sounds appropriate.

Also, requesting a form ID (example) currently returns a 400 Bad Request. We might want to change that to a different HTTP code as well. (Though I must admit I don’t know what our plan for those URIs is.)

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptDec 14 2017, 12:03 PM

Change 398486 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] Intorduce disabledRdfExportEntityTypes repo config variable

https://gerrit.wikimedia.org/r/398486

WMDE-leszek renamed this task from disable RDF support for Lexemes for first release to disable RDF support for Lexemes for first release (days: 1).Dec 18 2017, 11:19 AM
WMDE-leszek renamed this task from disable RDF support for Lexemes for first release (days: 1) to disable RDF support for Lexemes for first release (days: 2).Dec 19 2017, 11:45 AM

With https://gerrit.wikimedia.org/r/#/c/398486 merged we'd need a config on wikidata-lexeme.wmflabs.org, no?

I do it ASAP.

Change 398486 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Introduce disabledRdfExportEntityTypes repo config variable

https://gerrit.wikimedia.org/r/398486

Change 399225 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] Treat ttl format as rdf

https://gerrit.wikimedia.org/r/399225

Change 399225 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Treat ttl format as rdf

https://gerrit.wikimedia.org/r/399225

Ladsgroup moved this task from Incoming to Done on the User-Ladsgroup board.Dec 28 2017, 11:01 PM
Lydia_Pintscher closed this task as Resolved.Jan 2 2018, 2:49 PM